For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Retrieve a paginated list of all transactional email templates (including automation templates) with their details such as name, subject, sender, status, HTML content, and timestamps. Results default to 50 per page (max 1000) and are sorted in descending creation order unless overridden. You can filter by active/inactive status using `templateStatus` and by editor type using `editorType` (currently only `richTextEditor` is supported).
Authentication
api-keystring
The API key should be passed in the request headers as api-key for authentication.
Query parameters
templateStatusbooleanOptional
Filter on the status of the template. Active = true, inactive = false
limitlongOptional0-1000Defaults to 50
Number of documents returned per page
offsetlongOptionalDefaults to 0
Index of the first document in the page
sortenumOptionalDefaults to desc
Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed
Allowed values:
editorTypeenumOptional
Filter on the editor type used to create the template. Currently only richTextEditor is supported as a filter value.
Allowed values:
Response
transactional email templates informations
countlongOptional
Count of transactional email templates
templateslist of objectsOptional
Errors
400
Bad Request Error
Retrieve a paginated list of all transactional email templates (including automation templates) with their details such as name, subject, sender, status, HTML content, and timestamps. Results default to 50 per page (max 1000) and are sorted in descending creation order unless overridden. You can filter by active/inactive status using templateStatus and by editor type using editorType (currently only richTextEditor is supported).